Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectionOfTheGeometryFieldPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectionOfTheGeometryFieldPanel.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectionOfTheGeometryFieldPanel.java	(revision 43920)
@@ -0,0 +1,119 @@
+package org.gvsig.exportto.swing.spi.panels;
+
+import java.awt.event.ItemEvent;
+import java.awt.event.ItemListener;
+import java.util.ArrayList;
+import java.util.Comparator;
+import java.util.List;
+import javax.swing.DefaultComboBoxModel;
+import javax.swing.JComponent;
+import org.gvsig.exportto.swing.spi.options.ExportGeometryOptions;
+import org.gvsig.exportto.swing.spi.ExporttoPanelValidationException;
+import org.gvsig.exportto.swing.spi.ExporttoSwingProviderPanel;
+import org.gvsig.fmap.dal.feature.FeatureAttributeDescriptor;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.ToolsSwingManager;
+
+/**
+ *
+ * @author jjdelcerro
+ */
+public class SelectionOfTheGeometryFieldPanel 
+        extends SelectionOfTheGeometryFieldPanelView
+        implements ExporttoSwingProviderPanel 
+    {
+    
+    private final ExportGeometryOptions options;
+    
+    public SelectionOfTheGeometryFieldPanel(ExportGeometryOptions options) {
+        this.options = options;
+
+        if( this.options.getSourceFeatureType().getDefaultGeometryAttribute()==null ) {
+            this.options.setGeometryFieldName(null);
+        } else {
+            this.options.setGeometryFieldName(this.options.getSourceFeatureType().getDefaultGeometryAttributeName());
+        }
+
+        this.initComponents();
+    }
+
+    @Override
+    public String getPanelTitle() {
+        I18nManager i18nManager = ToolsLocator.getI18nManager();
+        return i18nManager.getTranslation("_Selection_of_geometry_field");    
+    }
+
+    @Override
+    public boolean isValidPanel() throws ExporttoPanelValidationException {
+        this.options.setGeometryFieldName(this.getGeometryField());
+        return true;
+    }
+
+    @Override
+    public void enterPanel() {
+        // Default do nothing
+    }
+
+    @Override
+    public JComponent asJComponent() {
+        return this;
+    }
+
+    private void initComponents() {
+        this.rdoSelectTheFieldToBeUsedAsGeometry.setEnabled(true);
+        this.rdoSelectTheFieldToBeUsedAsGeometry.setSelected(false);
+        
+        if( this.options.getGeometryFieldName()==null ) {
+            this.rdoUseTheGeometryFieldByDefault.setEnabled(false);
+            this.rdoUseTheGeometryFieldByDefault.setSelected(false);
+            this.rdoUseNullAsTheValueOfTheGeometry.setSelected(true);
+        } else {
+            this.rdoUseTheGeometryFieldByDefault.setEnabled(true);
+            this.rdoUseTheGeometryFieldByDefault.setSelected(true);
+            this.rdoUseNullAsTheValueOfTheGeometry.setSelected(false);
+        }
+        List<String> items = new ArrayList<>();
+        for (FeatureAttributeDescriptor descr : this.options.getSourceFeatureType()) {
+            items.add(descr.getName());
+        }        
+        items.sort(new Comparator<String>() {
+            @Override
+            public int compare(String o1, String o2) {
+                return o1.compareTo(o2);
+            }
+        });
+        DefaultComboBoxModel model = new DefaultComboBoxModel();
+        for (String item : items) {
+            model.addElement(item);
+        }
+        this.cboGeometryField.setModel(model);
+        this.cboGeometryField.setEnabled(false);
+        this.rdoSelectTheFieldToBeUsedAsGeometry.addItemListener(new ItemListener() {
+            @Override
+            public void itemStateChanged(ItemEvent e) {
+                cboGeometryField.setEnabled(rdoSelectTheFieldToBeUsedAsGeometry.isSelected());
+            }
+        });
+        this.translate();
+    }
+    
+    private void translate() {
+        ToolsSwingManager i18nc = ToolsSwingLocator.getToolsSwingManager();
+        i18nc.translate(this.lblSelectOfTheGeometryField);
+        i18nc.translate(this.rdoSelectTheFieldToBeUsedAsGeometry);
+        i18nc.translate(this.rdoUseNullAsTheValueOfTheGeometry);
+        i18nc.translate(this.rdoUseTheGeometryFieldByDefault);
+    }
+
+    public String getGeometryField() {
+        if( this.rdoUseNullAsTheValueOfTheGeometry.isSelected() ) {
+            return null;
+        }
+        if( this.rdoUseTheGeometryFieldByDefault.isSelected() ) {
+            return this.options.getSourceFeatureType().getDefaultGeometryAttribute().getName();
+        }
+        return (String) this.cboGeometryField.getSelectedItem();
+    }
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectGeometryTypePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectGeometryTypePanel.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectGeometryTypePanel.java	(revision 43920)
@@ -0,0 +1,223 @@
+package org.gvsig.exportto.swing.spi.panels;
+
+import java.util.ArrayList;
+import java.util.Comparator;
+import java.util.HashMap;
+import java.util.List;
+import java.util.Map;
+import javax.swing.DefaultComboBoxModel;
+import javax.swing.JComponent;
+import org.apache.commons.lang3.ArrayUtils;
+import org.gvsig.exportto.swing.spi.ExporttoPanelValidationException;
+import org.gvsig.exportto.swing.spi.ExporttoSwingProviderPanel;
+import org.gvsig.exportto.swing.spi.options.ExportGeometryOptions;
+import org.gvsig.fmap.dal.feature.FeatureAttributeDescriptor;
+import org.gvsig.fmap.dal.feature.FeatureType;
+import org.gvsig.fmap.geom.Geometry;
+import org.gvsig.fmap.geom.type.GeometryType;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.swing.api.ListElement;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.ToolsSwingManager;
+
+/**
+ *
+ * @author jjdelcerro
+ */
+public class SelectGeometryTypePanel 
+        extends SelectGeometryTypePanelView 
+        implements ExporttoSwingProviderPanel 
+    {
+
+    private final ExportGeometryOptions options;
+    private int[] geometryTypes;
+    private int[] geometrySubtypes;
+    private final Map<Integer, String> geometryTypeNames;
+    private final Map<Integer, String> geometrySubtypeNames;
+    private boolean updateComponents;
+
+            
+    public SelectGeometryTypePanel(ExportGeometryOptions options) {
+        this(options,null,null);
+    }
+
+    public SelectGeometryTypePanel(ExportGeometryOptions options, int[] geometryTypes, int[] geometrySubtypes) {
+        this.geometryTypeNames = new HashMap<>();
+        this.geometrySubtypeNames = new HashMap<>();
+        this.options = options;
+        this.geometryTypes = geometryTypes;
+        this.geometrySubtypes = geometrySubtypes;
+        this.initData();
+        this.initComponents();
+    }
+
+    private void initData() {
+        FeatureType ft = this.options.getSourceFeatureType();
+        FeatureAttributeDescriptor geomDescriptor = ft.getDefaultGeometryAttribute();
+        
+        if( geomDescriptor == null ) {
+            this.options.setGeometryType(Geometry.TYPES.GEOMETRY);
+            this.options.setGeometrySubtype(Geometry.SUBTYPES.GEOM2D);
+        } else {
+            GeometryType gt = geomDescriptor.getGeomType();
+            this.options.setGeometryType(gt.getType());
+            this.options.setGeometrySubtype(gt.getSubType());
+        }
+        
+        if( ArrayUtils.isEmpty(this.geometryTypes) ) {
+            this.geometryTypes = new int[] {
+                Geometry.TYPES.GEOMETRY,
+                Geometry.TYPES.POINT,
+                Geometry.TYPES.CURVE,
+                Geometry.TYPES.SURFACE,
+                Geometry.TYPES.SOLID,
+                Geometry.TYPES.AGGREGATE,
+                Geometry.TYPES.MULTIPOINT,
+                Geometry.TYPES.MULTICURVE,
+                Geometry.TYPES.MULTISURFACE,
+                Geometry.TYPES.MULTISOLID,
+                Geometry.TYPES.CIRCLE,
+                Geometry.TYPES.ARC,
+                Geometry.TYPES.ELLIPSE,
+                Geometry.TYPES.SPLINE,
+                Geometry.TYPES.ELLIPTICARC,
+                Geometry.TYPES.COMPLEX,
+                Geometry.TYPES.LINE,
+                Geometry.TYPES.POLYGON,
+                //Geometry.TYPES.RING,
+                Geometry.TYPES.MULTILINE,
+                Geometry.TYPES.MULTIPOLYGON,
+                Geometry.TYPES.CIRCUMFERENCE,
+                Geometry.TYPES.PERIELLIPSE,
+                Geometry.TYPES.FILLEDSPLINE
+            };                    
+        }
+        if( ArrayUtils.isEmpty(this.geometrySubtypes) ) {
+            this.geometrySubtypes = new int[] {
+                Geometry.SUBTYPES.GEOM2D,
+                Geometry.SUBTYPES.GEOM2DM,
+                Geometry.SUBTYPES.GEOM3D,
+                Geometry.SUBTYPES.GEOM3DM
+            };
+        }
+        this.geometryTypeNames.put(Geometry.TYPES.GEOMETRY,"GEOMETRY");
+        this.geometryTypeNames.put(Geometry.TYPES.POINT,"POINT");
+        this.geometryTypeNames.put(Geometry.TYPES.CURVE,"CURVE");
+        this.geometryTypeNames.put(Geometry.TYPES.SURFACE,"SURFACE");
+        this.geometryTypeNames.put(Geometry.TYPES.SOLID,"SOLID");
+        this.geometryTypeNames.put(Geometry.TYPES.AGGREGATE,"AGGREGATE");
+        this.geometryTypeNames.put(Geometry.TYPES.MULTIPOINT,"MULTIPOINT");
+        this.geometryTypeNames.put(Geometry.TYPES.MULTICURVE,"MULTICURVE");
+        this.geometryTypeNames.put(Geometry.TYPES.MULTISURFACE,"MULTISURFACE");
+        this.geometryTypeNames.put(Geometry.TYPES.MULTISOLID,"MULTISOLID");
+        this.geometryTypeNames.put(Geometry.TYPES.CIRCLE,"CIRCLE");
+        this.geometryTypeNames.put(Geometry.TYPES.ARC,"ARC");
+        this.geometryTypeNames.put(Geometry.TYPES.ELLIPSE,"ELLIPSE");
+        this.geometryTypeNames.put(Geometry.TYPES.SPLINE,"SPLINE");
+        this.geometryTypeNames.put(Geometry.TYPES.ELLIPTICARC,"ELLIPTICARC");
+        this.geometryTypeNames.put(Geometry.TYPES.COMPLEX,"COMPLEX");
+        this.geometryTypeNames.put(Geometry.TYPES.LINE,"LINE");
+        this.geometryTypeNames.put(Geometry.TYPES.POLYGON,"POLYGON");
+        this.geometryTypeNames.put(Geometry.TYPES.NULL,"NULL");
+        this.geometryTypeNames.put(Geometry.TYPES.RING,"RING");
+        this.geometryTypeNames.put(Geometry.TYPES.MULTILINE,"MULTILINE");
+        this.geometryTypeNames.put(Geometry.TYPES.MULTIPOLYGON,"MULTIPOLYGON");
+        this.geometryTypeNames.put(Geometry.TYPES.CIRCUMFERENCE,"CIRCUMFERENCE");
+        this.geometryTypeNames.put(Geometry.TYPES.PERIELLIPSE,"PERIELLIPSE");
+        this.geometryTypeNames.put(Geometry.TYPES.FILLEDSPLINE,"FILLEDSPLINE");
+        this.geometrySubtypeNames.put(Geometry.SUBTYPES.GEOM2D,"2D");
+        this.geometrySubtypeNames.put(Geometry.SUBTYPES.GEOM2DM,"2DM");
+        this.geometrySubtypeNames.put(Geometry.SUBTYPES.GEOM3D,"3D");
+        this.geometrySubtypeNames.put(Geometry.SUBTYPES.GEOM3DM,"3DM");
+        this.geometrySubtypeNames.put(Geometry.SUBTYPES.UNKNOWN,"UNKNOWN");
+    }
+    
+    private void initComponents() {
+        List<ListElement<Integer>> items;
+
+        items = new ArrayList<>();
+        for (int geometryType : this.geometryTypes) {
+            items.add(new ListElement<>(
+                    this.geometryTypeNames.getOrDefault(geometryType, "unknown ("+geometryType+")"),
+                    geometryType
+                )
+            );
+        }
+        items.sort(new Comparator<ListElement<Integer>>() {
+            @Override
+            public int compare(ListElement<Integer> o1, ListElement<Integer> o2) {
+                return o1.toString().compareToIgnoreCase(o2.toString());
+            }
+        });
+        DefaultComboBoxModel model1 = new DefaultComboBoxModel();
+        for (ListElement<Integer> item : items) {
+            model1.addElement(item);
+        }
+        this.cboType.setModel(model1);
+
+
+        items = new ArrayList<>();
+        for (int geometrySubtype : this.geometrySubtypes) {
+            items.add(new ListElement<>(
+                    this.geometrySubtypeNames.getOrDefault(geometrySubtype, "unknown ("+geometrySubtype+")"),
+                    geometrySubtype
+                )
+            );
+        }
+        items.sort(new Comparator<ListElement<Integer>>() {
+            @Override
+            public int compare(ListElement<Integer> o1, ListElement<Integer> o2) {
+                return o1.toString().compareToIgnoreCase(o2.toString());
+            }
+        });
+        model1 = new DefaultComboBoxModel();
+        for (ListElement<Integer> item : items) {
+            model1.addElement(item);
+        }
+        this.cboSubtype.setModel(model1);
+        this.updateComponents=true;
+        this.translate();
+    }
+    
+    private void translate() {
+        ToolsSwingManager i18nc = ToolsSwingLocator.getToolsSwingManager();
+        i18nc.translate(this.lblSelectTargetGeometryType);
+        i18nc.translate(this.lblSubtype);
+        i18nc.translate(this.lblType);
+    }
+
+    @Override
+    public String getPanelTitle() {
+        I18nManager i18nManager = ToolsLocator.getI18nManager();
+        return i18nManager.getTranslation("_Select_geometry_type");    
+    }
+
+    @Override
+    public boolean isValidPanel() throws ExporttoPanelValidationException {
+        Integer n = (Integer) ListElement.getSelected(cboType);
+        if( n!=null ) {
+            this.options.setGeometryType(n);
+        }
+        n = (Integer) ListElement.getSelected(cboSubtype);
+        if( n!=null ) {
+            this.options.setGeometrySubtype(n);
+        }
+        return true;
+    }
+
+    @Override
+    public void enterPanel() {
+        if( this.updateComponents ) {
+            ListElement.setSelected(cboType, this.options.getGeometryTypeAsInt());
+            ListElement.setSelected(cboSubtype, this.options.getGeometrySubtype());
+        }
+        this.updateComponents=false;
+    }
+
+    @Override
+    public JComponent asJComponent() {
+        return this;
+    }
+
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectOutputFilePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectOutputFilePanel.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectOutputFilePanel.java	(revision 43920)
@@ -0,0 +1,87 @@
+package org.gvsig.exportto.swing.spi.panels;
+
+import java.io.File;
+import javax.swing.JComponent;
+import javax.swing.JOptionPane;
+import org.gvsig.exportto.swing.spi.ExporttoPanelValidationException;
+import org.gvsig.exportto.swing.spi.ExporttoSwingProviderPanel;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.ToolsSwingManager;
+import org.gvsig.tools.swing.api.pickercontroller.FilePickerController;
+import org.gvsig.tools.swing.api.threadsafedialogs.ThreadSafeDialogsManager;
+import org.gvsig.tools.util.HasAFile;
+
+
+/**
+ *
+ * @author jjdelcerro
+ */
+public class SelectOutputFilePanel 
+        extends SelectOutputFilePanelView
+        implements ExporttoSwingProviderPanel
+    {
+
+    private FilePickerController fileController;
+    private final HasAFile options;
+    
+    
+    public SelectOutputFilePanel(HasAFile options) {
+        this.options = options;
+        this.initComponents();
+    }
+
+    @Override
+    public String getPanelTitle() {
+        I18nManager i18n = ToolsLocator.getI18nManager();
+        return i18n.getTranslation("Seleccionar_fichero");    
+    }
+
+    @Override
+    public boolean isValidPanel() throws ExporttoPanelValidationException {
+        I18nManager i18n = ToolsLocator.getI18nManager();
+        ThreadSafeDialogsManager dialogs = ToolsSwingLocator.getThreadSafeDialogsManager();
+        
+        if( this.fileController.isEmpty() ) {
+            throw new ExporttoPanelValidationException(
+                i18n.getTranslation("_File_cannot_be_empty"));
+        }
+        File file = this.fileController.get();
+        if (file.exists()) {
+            int resp = dialogs.confirmDialog(
+                    i18n.getTranslation("fichero_ya_existe_seguro_desea_guardarlo"),
+                    i18n.getTranslation("guardar"),
+                    JOptionPane.YES_NO_OPTION, 
+                    JOptionPane.QUESTION_MESSAGE, 
+                    "OverwriteFileOnExport"
+            );
+            if (resp == JOptionPane.NO_OPTION) {
+                return false;
+            }
+        }
+        this.options.setFile(file);
+        return true;
+    }
+
+    @Override
+    public void enterPanel() {
+        // Default do nothing
+    }
+
+    @Override
+    public JComponent asJComponent() {
+        return this;
+    }
+
+    private void initComponents() {
+        this.fileController = ToolsSwingLocator.getToolsSwingManager()
+                .createFilePickerController(txtFile, btnSelectFile);
+        this.translate();
+    }
+    
+    private void translate() {
+        ToolsSwingManager i18nc = ToolsSwingLocator.getToolsSwingManager();
+        i18nc.translate(this.lblFile);
+    }
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/CheckGeometriesPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/CheckGeometriesPanel.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/CheckGeometriesPanel.java	(revision 43920)
@@ -0,0 +1,205 @@
+package org.gvsig.exportto.swing.spi.panels;
+
+import java.awt.event.ActionEvent;
+import java.awt.event.ActionListener;
+import javax.swing.JComponent;
+import org.gvsig.exportto.swing.spi.options.ExportGeometryOptions;
+import org.gvsig.exportto.swing.spi.ExporttoPanelValidationException;
+import org.gvsig.exportto.swing.spi.ExporttoSwingProviderPanel;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.i18n.I18nManager;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+public class CheckGeometriesPanel 
+        extends CheckGeometriesPanelLayout 
+        implements ExporttoSwingProviderPanel 
+    {
+
+    private final static Logger logger = LoggerFactory.getLogger(CheckGeometriesPanel.class);
+
+    private final CheckAction[] checkActions = {
+        new CheckAction("_Set_geometry_to_null", ExportGeometryOptions.CHECKGEOMETRYACTION_SET_GEOMETRY_TO_NULL),
+        new CheckAction("_Skip_entire_feature", ExportGeometryOptions.CHECKGEOMETRYACTION_SKIP_FEATURE),
+        new CheckAction("_Abort_process", ExportGeometryOptions.CHECKGEOMETRYACTION_ABORT)
+    };
+    private final ExportGeometryOptions options;
+    private boolean updateComponents;
+    
+    private static class CheckAction {
+
+        private final String label;
+        private final int code;
+
+        public CheckAction(String label, int code) {
+            this.code = code;
+            this.label = ToolsLocator.getI18nManager().getTranslation(label);
+        }
+        @Override
+        public String toString() {
+            return this.label;
+        }
+        public int getCode() {
+            return this.code;
+        }
+    }
+        
+    public CheckGeometriesPanel(ExportGeometryOptions options) {
+        this.options = options;
+        this.options.setGeometryChecks(ExportGeometryOptions.CHECKGEOMETRY_NONE);
+        this.options.setGeometryChecksAction(ExportGeometryOptions.CHECKGEOMETRYACTION_SET_GEOMETRY_TO_NULL);
+        this.options.setTryToFixGeometry(true);
+        this.updateComponents = true;
+        initComponents();
+    }
+    
+    private void initComponents() {
+        this.rdbCheckIsCorrupt.addActionListener(new ActionListener() {
+            @Override
+            public void actionPerformed(ActionEvent e) {
+               onChangeRadioButtons();
+            }
+        });
+        this.rdbCheckIsValid.addActionListener(new ActionListener() {
+            @Override
+            public void actionPerformed(ActionEvent e) {
+               onChangeRadioButtons();
+            }
+        });
+        this.rdbCheckNone.addActionListener(new ActionListener() {
+            @Override
+            public void actionPerformed(ActionEvent e) {
+               onChangeRadioButtons();
+            }
+        });
+        for (CheckAction checkAction : checkActions) {
+            this.cboActionIsCorrupt.addItem(checkAction);
+            this.cboActionIsValid.addItem(checkAction);            
+        }
+        this.rdbCheckNone.setSelected(true);
+        this.rdbCheckIsValid.setSelected(true);
+        this.cboActionIsValid.setSelectedItem(checkActions[2]);
+        this.translate();
+    }
+    
+    private void translate() {
+        I18nManager i18nManager = ToolsLocator.getI18nManager();
+                    
+        this.lblHeader.setText("<html>"+i18nManager.getTranslation("_check_geometries_before_export_header")+"</html>");
+        this.rdbCheckNone.setText(i18nManager.getTranslation("_No_realizar_ninguna_comprobacion_sobre_las_geometrias"));
+        this.rdbCheckIsCorrupt.setText(i18nManager.getTranslation("_Comprobar_que_la_geometria_no_este_corrupta"));
+        this.rdbCheckIsValid.setText(i18nManager.getTranslation("_Comprobar_la_validez_de_las_geometrias_antes_de_insertarlas"));
+        this.lblCheckIsCorrupt.setText(i18nManager.getTranslation("_Cuando_la_geometria_este_corrupta"));
+        this.lblCheckIsvalid.setText(i18nManager.getTranslation("_Cuando_la_geometria_no_sea_valida"));
+        this.chkTryFixGeometry.setText(i18nManager.getTranslation("_Intentar_reparar_la_geometria"));
+    }
+    
+    @Override
+    public String getPanelTitle() {
+        I18nManager i18nManager = ToolsLocator.getI18nManager();
+        return i18nManager.getTranslation("_check_geometries_before_export");    
+    }
+
+    @Override
+    public boolean isValidPanel() throws ExporttoPanelValidationException {
+        this.options.setGeometryChecks(this.getGeometryChecks());
+        this.options.setGeometryChecksAction(this.getGeometryChecksAction());
+        this.options.setTryToFixGeometry(this.getTryToFixGeometry());
+        return true;
+    }
+    
+    @Override
+    public void enterPanel() {
+        if( this.updateComponents ) {
+            switch(this.options.getGeometryChecks()) {
+                case ExportGeometryOptions.CHECKGEOMETRY_NONE:
+                    this.rdbCheckNone.setSelected(true);
+                    this.rdbCheckIsCorrupt.setSelected(false);
+                    this.cboActionIsCorrupt.setEnabled(false);
+                    this.rdbCheckIsValid.setSelected(false);
+                    this.cboActionIsValid.setEnabled(false);
+                    this.chkTryFixGeometry.setEnabled(false);
+                    break;
+                case ExportGeometryOptions.CHECKGEOMETRY_CHECK_IF_VALID:
+                    this.rdbCheckNone.setSelected(false);
+                    this.rdbCheckIsCorrupt.setSelected(false);
+                    this.cboActionIsCorrupt.setEnabled(false);
+                    this.rdbCheckIsValid.setSelected(true);
+                    this.cboActionIsValid.setEnabled(true);
+                    this.chkTryFixGeometry.setEnabled(true);
+                    break;
+                case ExportGeometryOptions.CHECKGEOMETRY_CHECK_IF_CORRUPT:
+                    this.rdbCheckNone.setSelected(false);
+                    this.rdbCheckIsCorrupt.setSelected(true);
+                    this.cboActionIsCorrupt.setEnabled(true);
+                    this.rdbCheckIsValid.setSelected(false);
+                    this.cboActionIsValid.setEnabled(false);
+                    this.chkTryFixGeometry.setEnabled(false);
+                    break;
+            }
+            this.chkTryFixGeometry.setSelected( this.options.getTryToFixGeometry() );
+        }
+        this.updateComponents = false;
+        if( this.options.getGeometryFieldName()==null ) {
+            this.rdbCheckIsCorrupt.setEnabled(false);
+            this.rdbCheckIsValid.setEnabled(false);
+            this.rdbCheckNone.setEnabled(false);
+        } else {
+            this.rdbCheckIsCorrupt.setEnabled(true);
+            this.rdbCheckIsValid.setEnabled(true);
+            this.rdbCheckNone.setEnabled(true);
+        }
+    }
+    
+    @Override
+    public JComponent asJComponent() {
+        return this;
+    }
+
+    public int getGeometryChecks() {
+        if( this.rdbCheckIsCorrupt.isSelected() ) {
+            return ExportGeometryOptions.CHECKGEOMETRY_CHECK_IF_CORRUPT;
+        } else if( this.rdbCheckIsValid.isSelected()) {
+            return ExportGeometryOptions.CHECKGEOMETRY_CHECK_IF_VALID;
+        } else {
+            return ExportGeometryOptions.CHECKGEOMETRY_NONE;
+        }
+    }
+
+    public int getGeometryChecksAction() {
+        try {
+            if( this.rdbCheckIsCorrupt.isSelected() ) {
+                CheckAction checkAction = (CheckAction)(this.cboActionIsCorrupt.getSelectedItem());
+                return checkAction.getCode();
+            } else if( this.rdbCheckIsValid.isSelected()) {
+                CheckAction checkAction = (CheckAction)(this.cboActionIsValid.getSelectedItem());
+                return checkAction.getCode();
+            } else {
+                return ExportGeometryOptions.CHECKGEOMETRYACTION_ABORT;
+            }
+        } catch(Exception ex) {
+            logger.warn("Can't get action for geometry check in export to JDBC.",ex);
+            return ExportGeometryOptions.CHECKGEOMETRYACTION_ABORT;
+        }
+    }
+
+    public boolean getTryToFixGeometry() {
+        return this.chkTryFixGeometry.isSelected();
+    }
+    
+    private void onChangeRadioButtons() {
+        if( this.rdbCheckNone.isSelected() ) {
+            this.cboActionIsCorrupt.setEnabled(false);
+            this.cboActionIsValid.setEnabled(false);
+            this.chkTryFixGeometry.setEnabled(false);
+        } else if( this.rdbCheckIsCorrupt.isSelected() ) {
+            this.cboActionIsCorrupt.setEnabled(true);
+            this.cboActionIsValid.setEnabled(false);
+            this.chkTryFixGeometry.setEnabled(false);
+        } else if( this.rdbCheckIsValid.isSelected()) {
+            this.cboActionIsCorrupt.setEnabled(false);
+            this.cboActionIsValid.setEnabled(true);
+            this.chkTryFixGeometry.setEnabled(true);
+        }
+    }
+}
